Registries for Web Authentication (WebAuthn)
RFC 8809
Jeff Hodges
Google
Giridhar Mandyam
Qualcomm Technologies Inc.
Michael B. Jones
Microsoft
2020-08
Security
W3C WebAuthn Working Group
webauthn
attestation
extensions
registry
This specification defines IANA registries for W3C Web Authentication (WebAuthn) attestation statement format identifiers and extension identifiers.
Status of This Memo
This document is not an Internet Standards Track specification; it is published for informational purposes.
This document is a product of the Internet Engineering Task Force (IETF). It represents the consensus of the IETF community. It has received public review and has been approved for publication by the Internet Engineering Steering Group (IESG). Not all documents approved by the IESG are candidates for any level of Internet Standard; see Section 2 of RFC 7841.
Information about the current status of this document, any errata, and how to provide feedback on it may be obtained at https://www.rfc-editor.org/info/rfc8809.
Copyright Notice
Copyright (c) 2020 IETF Trust and the persons identified as the document authors. All rights reserved.
This document is subject to BCP 78 and the IETF Trust's Legal Provisions Relating to IETF Documents (https://trustee.ietf.org/license-info) in effect on the date of publication of this document. Please review these documents carefully, as they describe your rights and restrictions with respect to this document. Code Components extracted from this document must include Simplified BSD License text as described in Section 4.e of the Trust Legal Provisions and are provided without warranty as described in the Simplified BSD License.
Table of Contents
- 1. Introduction
  - 1.1. Requirements Notation and Conventions
- 2. IANA Considerations
  - 2.1. WebAuthn Attestation Statement Format Identifiers Registry
    - 2.1.1. Registering Attestation Statement Format Identifiers
    - 2.1.2. Registration Request Processing
    - 2.1.3. Initial Values in the WebAuthn Attestation Statement Format Identifiers Registry
  - 2.2. WebAuthn Extension Identifiers Registry
    - 2.2.1. Registering Extension Identifiers
    - 2.2.2. Registration Request Processing
    - 2.2.3. Initial Values in the WebAuthn Extension Identifiers Registry
- 3. Security Considerations
- 4. Normative References
- Acknowledgements
- Authors' Addresses
Introduction
This specification establishes IANA registries for W3C Web Authentication [WebAuthn] attestation statement format identifiers and extension identifiers. The initial values for these registries are in the IANA Considerations section of the [WebAuthn] specification.
Requirements Notation and Conventions
The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT", "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY", and "OPTIONAL" in this document are to be interpreted as described in BCP 14 [RFC2119] [RFC8174] when, and only when, they appear in all capitals, as shown here.
IANA Considerations
This specification establishes two registries:
- the "WebAuthn Attestation Statement Format Identifiers" registry (see Section 2.1)
- the "WebAuthn Extension Identifiers" registry (see Section 2.2)
Any additional processes established by the expert(s) after the publication of this document will be recorded on the registry web page at the discretion of the expert(s).
WebAuthn Attestation Statement Format Identifiers Registry
WebAuthn attestation statement format identifiers are strings whose semantic, syntactic, and string-matching criteria are specified in the "Attestation Statement Format Identifiers" section of [WebAuthn], along with the concepts of attestation and attestation statement formats.
Registered attestation statement format identifiers are those that have been added to the registry by following the procedure in Section 2.1.1.
Each attestation statement format identifier added to this registry MUST be unique amongst the set of registered attestation statement format identifiers.
Registered attestation statement format identifiers MUST be a maximum of 32 octets in length and MUST consist only of printable ASCII [RFC20] characters, excluding backslash and double quote, i.e., VCHAR as defined in [RFC5234] but without %x22 and %x5c. Attestation statement format identifiers are case sensitive and may not match other registered identifiers in a case-insensitive manner unless the designated experts determine that there is a compelling reason to allow an exception.
Registering Attestation Statement Format Identifiers
WebAuthn attestation statement format identifiers are registered using the Specification Required policy (see Section 4.6 of [RFC8126]).
The "WebAuthn Attestation Statement Format Identifiers" registry is located at https://www.iana.org/assignments/webauthn. Registration requests can be made by following the instructions located there or by sending an email to the webauthn-reg-review@ietf.org mailing list.
Registration requests consist of at least the following information:
WebAuthn Attestation Statement Format Identifier:
An identifier meeting the requirements given in Section 2.1.
Description:
A relatively short description of the attestation format.
Specification Document(s):
Reference to the document or documents that specify the attestation statement format.
Change Controller:
For Standards Track RFCs, list "IETF". For others, give the name of the responsible party. Other details (e.g., postal address, email address, home page URI) may also be included.
Notes:
[optional]
Registrations MUST reference a freely available, stable specification, e.g., as described in Section 4.6 of [RFC8126]. This specification MUST include security and privacy considerations relevant to the attestation statement format.
Note that WebAuthn attestation statement format identifiers can be registered by third parties (including the expert(s) themselves), if the expert(s) determines that an unregistered attestation statement format is widely deployed and not likely to be registered in a timely manner otherwise. Such registrations still are subject to the requirements defined, including the need to reference a specification.
Registration Request Processing
As noted in Section 2.1.1, WebAuthn attestation statement format identifiers are registered using the Specification Required policy.
The expert(s) will clearly identify any issues that cause a registration to be refused, such as an incompletely specified attestation format.
When a request is approved, the expert(s) will inform IANA, and the registration will be processed. The IESG is the arbiter of any objection.
Initial Values in the WebAuthn Attestation Statement Format Identifiers Registry
The initial values for the "WebAuthn Attestation Statement Format Identifiers" registry have been populated with the values listed in the "WebAuthn Attestation Statement Format Identifier Registrations" section of [WebAuthn]. Also, the Change Controller entry for each of those registrations is:
Change Controller:
W3C Web Authentication Working Group (public‑webauthn@w3.org)
WebAuthn Extension Identifiers Registry
WebAuthn extension identifiers are strings whose semantic, syntactic, and string-matching criteria are specified in the "Extension Identifiers" section of [WebAuthn].
Registered extension identifiers are those that have been added to the registry by following the procedure in Section 2.2.1.
Each extension identifier added to this registry MUST be unique amongst the set of registered extension identifiers.
Registered extension identifiers MUST be a maximum of 32 octets in length and MUST consist only of printable ASCII characters, excluding backslash and double quote, i.e., VCHAR as defined in [RFC5234] but without %x22 and %x5c. Extension identifiers are case sensitive and may not match other registered identifiers in a case-insensitive manner unless the designated experts determine that there is a compelling reason to allow an exception.
Registering Extension Identifiers
WebAuthn extension identifiers are registered using the Specification Required policy (see Section 4.6 of [RFC8126]).
The "WebAuthn Extension Identifiers" registry is located at https://www.iana.org/assignments/webauthn. Registration requests can be made by following the instructions located there or by sending an email to the webauthn-reg-review@ietf.org mailing list.
Registration requests consist of at least the following information:
WebAuthn Extension Identifier:
An identifier meeting the requirements given in Section 2.2.
Description:
A relatively short description of the extension.
Specification Document(s):
Reference to the document or documents that specify the extension.
Change Controller:
For Standards Track RFCs, list "IETF". For others, give the name of the responsible party. Other details (e.g., postal address, email address, home page URI) may also be included.
Notes:
[optional]
Registrations MUST reference a freely available, stable specification, e.g., as described in Section 4.6 of [RFC8126]. This specification MUST include security and privacy considerations relevant to the extension.
Note that WebAuthn extensions can be registered by third parties (including the expert(s) themselves), if the expert(s) determines that an unregistered extension is widely deployed and not likely to be registered in a timely manner otherwise. Such registrations still are subject to the requirements defined, including the need to reference a specification.
Registration Request Processing
As noted in Section 2.2.1, WebAuthn extension identifiers are registered using the Specification Required policy.
The expert(s) will clearly identify any issues that cause a registration to be refused, such as an incompletely specified extension.
When a request is approved, the expert(s) will inform IANA, and the registration will be processed. The IESG is the arbiter of any objection.
Initial Values in the WebAuthn Extension Identifiers Registry
The initial values for the "WebAuthn Extension Identifiers" registry have been populated with the values listed in the "WebAuthn Extension Identifier Registrations" section of [WebAuthn]. Also, the Change Controller entry for each of those registrations is:
Change Controller:
W3C Web Authentication Working Group (public‑webauthn@w3.org)
Security Considerations
See [WebAuthn] for relevant security considerations.
Normative References
[RFC0020]

ASCII format for network interchange
V.G. Cerf
October 1969
STD 80
RFC 20
DOI 10.17487/RFC0020
[RFC2119]

Key words for use in RFCs to Indicate Requirement Levels
S. Bradner
March 1997
BCP 14
RFC 2119
DOI 10.17487/RFC2119
[RFC5234]

Augmented BNF for Syntax Specifications: ABNF
D. Crocker, Ed.
P. Overell
January 2008
STD 68
RFC 5234
DOI 10.17487/RFC5234
[RFC8126]

Guidelines for Writing an IANA Considerations Section in RFCs
M. Cotton
B. Leiba
T. Narten
June 2017
BCP 26
RFC 8126
DOI 10.17487/RFC8126
[RFC8174]

Ambiguity of Uppercase vs Lowercase in RFC 2119 Key Words
B. Leiba
May 2017
BCP 14
RFC 8174
DOI 10.17487/RFC8174
[WebAuthn]

Web Authentication: An API for accessing Public Key Credentials
World Wide Web Consortium (W3C) Recommendation
Dirk Balfanz
Google
balfanz@google.com
Alexei Czeskis
Google
aczeskis@google.com
Jeff Hodges
PayPal
jdhodges@google.com
J.C. Jones
Mozilla
jc@mozilla.com
Michael B. Jones
Microsoft
mbj@microsoft.com
http://self-issued.info/
Akshay Kumar
Microsoft
akshayku@microsoft.com
Angelo Liao
Microsoft
huliao@microsoft.com
Rolf Lindemann
Nok Nok Labs
rolf@noknok.com
Emil Lundberg
Yubico
emil@yubico.com
4 March 2019
Acknowledgements
Thanks to Mark Nottingham for valuable comments and suggestions. Thanks to Kathleen Moriarty and Benjamin Kaduk for their Area Director sponsorship of this specification. Thanks to Amanda Baber, Sarah Banks, Alissa Cooper, Roman Danyliw, Murray Kucherawy, Paul Kyzivat, Barry Leiba, Hilarie Orman, Magnus Westerlund, and Robert Wilton for their reviews.
Authors' Addresses
Jeff Hodges
Google
1600 Amphitheatre Parkway
Mountain View
CA
94043
United States of America
jdhodges@google.com
https://kingsmountain.com/people/Jeff.Hodges/
Giridhar Mandyam
Qualcomm Technologies Inc.
5775 Morehouse Drive
San Diego
CA
92121
United States of America
+1 858 651 7200
mandyam@qti.qualcomm.com
Michael B. Jones
Microsoft
mbj@microsoft.com
https://self-issued.info/